import request from '@/utils/request'

export function fetchSignPatients(params) {
  console.log("bbbbbbbbbbbbbbb号码")
  console.log(params)
  return request({
    url: '/api/sign/patients',
    method: 'Get',
    params: params
  })
}

export function getPatientSign(params) {
  return request({
    url: '/api/sign/patientsign',
    method: 'get',
    params: params
  })
}

export function SignWeigh(params, data) {
  return request({
    url: '/api/signweign',
    params: params,
    data: data,
    method: 'Post'
  })
}

export function getDialysisInforInfomation(id) {
  return request({
    url: '/api/sign/getDialysisInforInfomation',
    method: 'Get',
    params: {
      patient_id: id
    }
  })
}

export function getDialysisAfterInfomation(id) {
  return request({
    url: '/api/sign/getDialysisAfterInfomation',
    method: 'Get',
    params: {
      patient_id: id
    }
  })
}

export function createdata(params) {
  return request({
    url: '/api/sign/savaData',
    method: 'Post',
    params: params
  })
}

export function editdata(params) {
  return request({
    url: '/api/sign/editdata',
    method: 'Post',
    params: params
  })
}

export function sighdata(params){
  console.log("好还哦")
  console.log(params)
   return request({
     url: '/api/sigh/sighdata',
     params: params,   
     method: 'Post'
   })
}

export function updateSignweight(params){
  console.log("好好玩")
  console.log(params)
  return request({
     url:'/api/sign/updateSignweight',
     params:params,
     method:'Post'
  })
}